# Generated by Django 3.1.5 on 2021-05-07 21:17

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ContactFromLending',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('owner', models.CharField(max_length=255, verbose_name='Реферал')),
                ('site_url', models.CharField(max_length=2000, verbose_name='URL лендінга')),
                ('number_phone', models.CharField(max_length=150, verbose_name='Номер телефону')),
                ('name', models.CharField(max_length=250, verbose_name="Ім'я")),
                ('comment', models.CharField(blank=True, max_length=150, null=True, verbose_name='Коментарій')),
                ('email', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'verbose_name': 'Контакт з лендінгу',
                'verbose_name_plural': 'Контакти з лендінгів',
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.CharField(blank=True, max_length=150, null=True)),
                ('owner', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='owner_referral', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='referral_user', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Контакт',
                'verbose_name_plural': 'Контакти',
            },
        ),
    ]
